Search prints

Search prints in a workspace. All filters are combined with AND — see [Search prints](/examples#search-prints) in the examples guide for a walkthrough.

POST
/api/workspace/{slug}/prints/search

Search prints in a workspace. All filters are combined with AND — see Search prints in the examples guide for a walkthrough.

Path Parameters

slug*string

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

curl -X POST "https://example.com/api/workspace/string/prints/search" \  -H "Content-Type: application/json" \  -d '{    "label": {      "op": "contains",      "value": "order"    },    "tag": {      "and": [        {          "op": "eq",          "key": "orderType",          "value": "delivery"        },        {          "op": "neq",          "key": "status",          "value": "cancelled"        }      ]    },    "from": "2026-06-01T00:00:00Z",    "to": "2026-06-30T23:59:59Z",    "orderBy": "createdAt.desc",    "page": 1,    "pageSize": 50  }'
{
  "items": [
    {
      "id": 0,
      "printKey": "string",
      "workspaceId": 0,
      "userId": 0,
      "deviceId": "string",
      "label": "string",
      "tag": {
        "property1": "string",
        "property2": "string"
      },
      "quantity": 0,
      "width": 0,
      "testPrint": true,
      "deleted": true,
      "deletedAt": "string",
      "createdAt": "string",
      "updatedAt": "string"
    }
  ],
  "total": 0,
  "page": 0,
  "pageSize": 0,
  "totalPage": 0,
  "hasNext": true,
  "hasPrev": true
}